cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting

## Class PEX_P07

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.PEX_P07_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.PEX_P07

-     public final class PEX_P07
      extends PEX_P07_Common

  PEX_P07 - Product Experience Message (Event P07). This message is use to transfer information related to an adverse event occurring while a patient is exposed to a product(system).

  Represents a PEX_P07 message structure (see chapter 7.11.1). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: EVN (Event Type Segment) SINGLE_COMPULSARY
  4: PID (Patient Identification Segment) SINGLE_COMPULSARY
  5: PD1 (Patient Additional Demographic Segment) SINGLE_OPTIONAL
  6. PRT (Participation-for patient) MULTIPLE_OPTIONAL
  7. ARV (Access Restrictions) MULTIPLE_OPTIONAL
  8: NTE (Notes and Comments Segment) MULTIPLE_OPTIONAL
  9: VISIT (a Group of segments in PEX_P07 message) SINGLE_OPTIONAL
  10: EXPERIENCE (a Group of segments in PEX_P07 message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  PEX_P07 objP07 = (PEX_P07)MessageFactory.createInstance().createSendSupportedMessage("PEX", "P07");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.PEX_P07_Common

      `addExperienceGroup, addExperienceGroups, addNotesAndCommentsSegment, addNotesAndCommentsSegment, addParticipationForPatientSegment, addParticipationForPatientSegment, addPatientIdentificationAccessRestrictionsSegment, addPatientIdentificationAccessRestrictionsSegment, addSoftwareSegment, addSoftwareSegment, getAdditinalDemographicsSegment, getEventTypeSegment, getExperienceGroups, getNotesAndCommentsSegments, getParticipationForPatientSegments, getPatientIdentificationAccessRestrictionsSegments, getPatientIdentificationSegment, getSoftwareSegments, getUserAuthenticationCredentialSegment, getVisitGroup, setAdditinalDemographicsSegment, setEventTypeSegment, setPatientIdentificationSegment, setUserAuthenticationCredentialSegment, setVisitGroup`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`